<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.PromotionRechargeListMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.PromotionRechargeList">

    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="recharge_id" property="rechargeId" jdbcType="BIGINT"/>
    <result column="recharge_num" property="rechargeNum" jdbcType="VARCHAR"/>
    <result column="recharge_name" property="rechargeName" jdbcType="VARCHAR"/>
    <result column="recharge_money" property="rechargeMoney" jdbcType="DECIMAL"/>
    <result column="recharge_discount" property="rechargeDiscount" jdbcType="INTEGER"/>
    <result column="promotion_id" property="promotionId" jdbcType="BIGINT"/>
    <result column="recharge_money_type" property="rechargeMoneyType" jdbcType="INTEGER"/>
  </resultMap>
    <insert id="addPromotionRechargeList">
      insert into promotion_recharge_list  values <foreach collection="promotionRechargeLists" separator="," item="item">
      (#{item.rechargeId},#{item.rechargeNum},#{item.rechargeName},#{item.rechargeMoney},#{item.rechargeDiscount},#{item.promotionId},#{item.id},#{item.rechargeMoneyType})
    </foreach>
    </insert>


</mapper>